/*BEGIN COPYRIGHT */
/**************************************************************************
*
*   Licensed Materials - Property of IBM
*   5697-FM3 5655-A96
*   (C) Copyright IBM Corp. 1998, 2000
*   US Government Users Restricted Rights - Use, duplication or
*   disclosure restricted by GSA ADP Schedule Contract
*   with IBM Corp.
*
**************************************************************************/
/*END COPYRIGHT */

/* BEGIN DISCLAIMER */
/**********************************************************************
*  DISCLAIMER
*  ----------
*  This material contains programming source code for your consideration.
*  These examples have not been thoroughly tested under all conditions.
*  IBM, therefore, cannot guarantee or imply reliability, serviceability,
*  or function of these programs.
*  ALL PROGRAMS CONTAINED HEREIN ARE PROVIDED TO YOU "AS IS", WITHOUT ANY
*  WARRANTIES (EXPRESS OR IMPLIED) OR SUPPORT WHATSOEVER, INCLUDING BUT
*  NOT LIMITED TO ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS
*  FOR A PARTICULAR PURPOSE.
**********************************************************************/
/* END DISCLAIMER */

/**********************************************************************/
/* MQSeries Workflow API Example - No Operation library               */
/*                                                                    */
/* This tiny library can be used as a means to handle more complex    */
/* starting conditions than originally possible within Buildtime.     */
/**********************************************************************/

#include <fmctjinc.hxx>                // compiler-dependent #includes
#include <fmcjprun.hxx>                // MQWF C++ API interface


extern "C"
{
  void FMC_EXPORT   FmcDllInit()
  {
    // This entry point is called once immediately after the PEA
    // loads the library. It should hence allocate all permanent
    // resources which are needed during the library's lifetime.
  }

  void FMC_EXPORT   FmcDllTerm()
  {
    // This entry point is called immediately before the PEA unloads
    // the library. Here, the resources which were allocated in
    // FmcDllInit should be freed again.
  }

  int  FMC_EXPORT   FmcNOP(char *)
  {
    // This example entry point simply returns ZERO to the PEA.
    return 0;
  }

}
