@echo off
rem BEGIN CMVC
rem ************************************************************************
rem
rem   Workfile: unregister_upes.cmd, v3-samples, fmv3
rem   Last update: 01/03/23 13:43:03
rem   SCCS path, id: /home/flowmark/vc/0/3/7/8/s.77 1.1
rem
rem ************************************************************************
rem END CMVC
rem BEGIN COPYRIGHT
rem ************************************************************************
rem
rem   Licensed Materials - Property of IBM
rem   WA03 SupportPac
rem   (c) Copyright IBM Corp. 2001
rem   US Government Users Restricted Rights - Use, duplication or
rem   disclosure restricted by GSA ADP Schedule Contract
rem   with IBM Corp.
rem
rem ************************************************************************
rem END COPYRIGHT
rem BEGIN DISCLAIMER
rem ************************************************************************
rem   DISCLAIMER
rem   ----------
rem   This material contains programming source code for your consideration.
rem   These examples have not been thoroughly tested under all conditions.
rem   IBM, therefore, cannot guarantee or imply reliability, serviceability,
rem   or function of these programs.
rem   ALL PROGRAMS CONTAINED HEREIN ARE PROVIDED TO YOU "AS IS", WITHOUT ANY
rem   WARRANTIES (EXPRESS OR IMPLIED) OR SUPPORT WHATSOEVER, INCLUDING BUT
rem   NOT LIMITED TO ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS
rem   FOR A PARTICULAR PURPOSE.
rem ************************************************************************
rem END DISCLAIMER

echo ***********************************************************
echo *                                                         *
echo * MQSeries Workflow Support for Java Message Service      *
echo *                                                         *
echo * Removing UPES from JNDI                                 *
echo *                                                         *
echo ***********************************************************

if not defined JMS_HOME goto prereq 
echo Creating script for object deletion within JMSAdmin

echo del qcf(upesQCF) >  upestidy.scp
echo del q(upesQ)     >> upestidy.scp
echo dis ctx          >> upestidy.scp
echo end              >> upestidy.scp

echo Calling JMSAdmin in batch mode to delete UPES objects
java -DMQJMS_LOG_DIR="%JMS_HOME%"\log -DMQJMS_TRACE_DIR="%JMS_HOME%"\trace -DMQJMS_INSTALL_PATH="%JMS_HOME%" com.ibm.mq.jms.admin.JMSAdmin < upestidy.scp

echo Administration done; cleaning up
del upestidy.scp

echo Done!
goto end


:prereq
echo Please configure and invoke setup_environment.cmd first

:end


